package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxCommunity;
import com.propertyManagement.business.domain.vo.WxCommunityVo;
import com.propertyManagement.business.domain.bo.WxCommunityBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 小区Service接口
 *
 * @author liushuai
 * @date 2025-05-14
 */
public interface IWxCommunityService {

    /**
     * 查询小区
     */
    WxCommunityVo queryById(Long communityId);

    /**
     * 根据经纬度获取最近的小区
     */
    WxCommunityVo queryByTargetLatAndTargetLon(double longitude, double latitude);

    /**
     * 查询小区列表
     */
    TableDataInfo<WxCommunityVo> queryPageList(WxCommunityBo bo, PageQuery pageQuery);

    /**
     * 查询小区列表
     */
    List<WxCommunityVo> queryList(WxCommunityBo bo);

    /**
     * 新增小区
     */
    Boolean insertByBo(WxCommunityBo bo);

    /**
     * 修改小区
     */
    Boolean updateByBo(WxCommunityBo bo);

    /**
     * 校验并批量删除小区信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
